> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Crear un marcador de fraude

> Usa este endpoint para registrar un marcador de fraude para un documento
fiscal o una clave Pix.


**Notas:**

- Los marcadores de fraude se usan para marcar documentos (CPF/CNPJ) o
claves Pix asociados a actividad fraudulenta.

- El campo taxIdNumber es obligatorio y representa a la persona/entidad
que se está marcando.

- El campo key es opcional y puede usarse para asociar el marcador con
una clave Pix específica.

- Los marcadores de fraude también pueden crearse automáticamente al
cerrar un reporte de infracción con resultado AGREED.



## OpenAPI

````yaml es/openapi/v3-current/indirect-pix.yaml POST /v1/dict/fraud-markers
openapi: 3.0.3
info:
  title: Plugin BR Pix Indirect - API completa
  description: |
    API completa para el sistema de pagos instantáneos Pix de Brasil, que
    incluye operaciones del diccionario de claves Pix, generación/decodificación
    de códigos QR, transacciones y límites transaccionales.
  version: 1.0.0
servers:
  - url: https://plugin-pix-indirect.api.lerian.net
security:
  - bearerAuth: []
paths:
  /v1/dict/fraud-markers:
    post:
      tags:
        - MED API
      summary: Crear un marcador de fraude
      description: |-
        Usa este endpoint para registrar un marcador de fraude para un documento
        fiscal o una clave Pix.


        **Notas:**

        - Los marcadores de fraude se usan para marcar documentos (CPF/CNPJ) o
        claves Pix asociados a actividad fraudulenta.

        - El campo taxIdNumber es obligatorio y representa a la persona/entidad
        que se está marcando.

        - El campo key es opcional y puede usarse para asociar el marcador con
        una clave Pix específica.

        - Los marcadores de fraude también pueden crearse automáticamente al
        cerrar un reporte de infracción con resultado AGREED.
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateFraudMarkerInput'
            example:
              taxIdNumber: '12345678901'
              fraudType: MULE_ACCOUNT
              key: fraud@example.com
      responses:
        '201':
          description: Marcador de fraude creado correctamente.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FraudMarkerObject'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0001:
                  $ref: '#/components/examples/ErrorPIX0001'
                ErrorPIX0003:
                  $ref: '#/components/examples/ErrorPIX0003'
                ErrorPIX0004:
                  $ref: '#/components/examples/ErrorPIX0004'
                ErrorPIX0260:
                  $ref: '#/components/examples/ErrorPIX0260'
                ErrorPIX0261:
                  $ref: '#/components/examples/ErrorPIX0261'
                ErrorPIX1081:
                  $ref: '#/components/examples/ErrorPIX1081'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX1080:
                  $ref: '#/components/examples/ErrorPIX1080'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0000:
                  $ref: '#/components/examples/ErrorPIX0000'
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX1000:
                  $ref: '#/components/examples/ErrorPIX1000'
                ErrorPIX1007:
                  $ref: '#/components/examples/ErrorPIX1007'
                ErrorPIX1099:
                  $ref: '#/components/examples/ErrorPIX1099'
      deprecated: false
      security:
        - bearerAuth: []
components:
  schemas:
    CreateFraudMarkerInput:
      type: object
      required:
        - taxIdNumber
        - fraudType
      properties:
        taxIdNumber:
          type: string
          description: CPF o CNPJ de la persona o entidad que se está marcando.
          example: '12345678901'
        fraudType:
          type: string
          description: Tipo de fraude.
          enum:
            - APPLICATION_FRAUD
            - MULE_ACCOUNT
            - SCAMMER_ACCOUNT
            - OTHER
          example: MULE_ACCOUNT
        key:
          type: string
          description: Clave Pix opcional asociada con el fraude.
          example: fraud@example.com
    FraudMarkerObject:
      type: object
      properties:
        id:
          type: string
          description: Identificador único.
          example: 019c96a0-0cfd-7d0d-8fc5-17a164b828b6
        document:
          type: string
          description: CPF o CNPJ.
          example: '12345678901'
        fraudType:
          type: string
          description: Tipo de fraude.
          enum:
            - APPLICATION_FRAUD
            - MULE_ACCOUNT
            - SCAMMER_ACCOUNT
            - OTHER
          example: MULE_ACCOUNT
        key:
          type: string
          description: Clave Pix asociada.
          example: fraud@example.com
        status:
          type: string
          description: Estado actual.
          enum:
            - REGISTERED
            - CANCELLED
          example: REGISTERED
        createdAt:
          type: string
          format: date-time
          example: '2024-01-15T10:30:00Z'
        updatedAt:
          type: string
          format: date-time
          example: '2024-01-15T10:30:00Z'
    ErrorFormat:
      type: object
      description: El mensaje de error de la respuesta.
      required:
        - code
        - title
        - message
      properties:
        code:
          type: string
          description: Un identificador único y estable para el error.
        title:
          type: string
          description: Un breve resumen del problema.
        message:
          type: string
          description: Orientación detallada para resolver el error.
  examples:
    ErrorPIX0001:
      summary: Missing Headers in Request
      value:
        code: PIX-0001
        title: Missing Headers in Request
        message: >-
          Your request is missing one or more required header params. Please
          refer to the documentation to ensure all necessary header params are
          included in your request.
    ErrorPIX0003:
      summary: Missing Fields in Request
      value:
        code: PIX-0003
        title: Missing Fields in Request
        message: >-
          Your request is missing one or more required fields. Please refer to
          the documentation to ensure all necessary fields are included in your
          request.
    ErrorPIX0004:
      summary: Invalid Field Values in Request
      value:
        code: PIX-0004
        title: Invalid Field Values in Request
        message: >-
          Your request contains one or more fields with invalid values. Please
          refer to the documentation to verify that all fields have the correct
          values.
    ErrorPIX0260:
      summary: Invalid Tax ID Format
      value:
        code: PIX-0260
        title: Invalid Tax ID Format
        message: >-
          The taxIdNumber must be a valid CPF (11 digits) or CNPJ (14 digits)
          format.
    ErrorPIX0261:
      summary: Invalid Key Format
      value:
        code: PIX-0261
        title: Invalid Key Format
        message: The key must be between 8 and 32 characters.
    ErrorPIX1081:
      summary: Invalid Fraud Type
      value:
        code: PIX-1081
        title: Invalid Fraud Type
        message: >-
          The provider reports that the fraud type is not valid for this
          operation.
    ErrorPIX1080:
      summary: Duplicate Fraud Marker
      value:
        code: PIX-1080
        title: Duplicate Fraud Marker
        message: >-
          The provider reports that a fraud marker already exists for this
          document and key combination.
    ErrorPIX0000:
      summary: Internal Server Error
      value:
        code: PIX-0000
        title: Internal Server Error
        message: The server encountered an unexpected error. Please try again later.
    ErrorPIX1000:
      summary: Provider Connection Error
      value:
        code: PIX-1000
        title: Provider Connection Error
        message: Failed to connect to provider.
    ErrorPIX1007:
      summary: Provider Internal Error
      value:
        code: PIX-1007
        title: Provider Internal Error
        message: Provider returned an internal error.
    ErrorPIX1099:
      summary: Provider Unmapped Error
      value:
        code: PIX-1099
        title: Provider Unmapped Error
        message: Provider returned an unmapped error.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````